### Name: bmaBic
### Title: Model mixing methods for linear or logistic regression
### Aliases: bmaBic mixAic
### Keywords: regression robust

### ** Examples


##Data 
#Explanatory variables 
X1<-c(-0.2,-2.4,-0.7,1.2,0.0,-1.1,-2.1,-0.3,2.0,-1.7,1.4,-1.3,-3.4,0.4,-1.3,
-4.8)
X2<- c(-3,  2,  1, -2, -2, -4,  0,  1,  1, -1, -1, -4,  0,  2,  0, -4)
X3<-c(2,1,0,-2,1,-2, 0, -1, -4, 1, -3, -3, -3, -1, 0, 2)

#Linear model
Y1<- c(8.7, 6, 9.1, 10.4, 7.6 ,10.4,  7.9, 11.9, 18, 10.5, 16.5, 8.8, 7.7, 13.5,
 8.2, 0.8)
data1<-data.frame(Y1,X1,X2,X3)
#Logistic model
Y2<-c(1, 1, 0, 1, 0, 1, 0, 1, 0, 1, 1, 1, 0, 0, 0, 1)
data2<-data.frame(Y2,X1,X2,X3)

##bmaBic method
bmaResult1<-bmaBic(data=data1,family=gaussian("identity"))
bmaResult1
summary(bmaResult1)
plot(bmaResult1)

bmaResult2<-bmaBic(data=data2,family=binomial("logit"))
bmaResult2
summary(bmaResult2)
plot(bmaResult2)

##mixAic method
mixResult1<-mixAic(data=data1,family=gaussian("identity"))
mixResult1
summary(mixResult1)
plot(mixResult1)

mixResult2<-mixAic(data=data2,family=binomial("logit"))
mixResult2
summary(mixResult2)
plot(mixResult2)




